Bug 24659 - Browsing http://download.freedesktop.org redirects to http://twitter.com/cleesmom
Summary: Browsing http://download.freedesktop.org redirects to http://twitter.com/clee...
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Administration (show other bugs)
Version: unspecified
Hardware: All All
: highest blocker
Assignee: fd.o Admin Massive
QA Contact:
URL: http://download.freedesktop.org
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-21 10:43 UTC by Nagappan Alagappan
Modified: 2010-01-13 16:25 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Nagappan Alagappan 2009-10-21 10:43:11 UTC
Hello,

Since today (Oct 21, 2009) 3:00 AM PST, we noticed browsing http://download.freedesktop.org redirects to http://twitter.com/cleesmom

Request to fix this at the earliest.

Thanks
Nagappan
Comment 1 Alan Coopersmith 2009-10-21 10:48:55 UTC
The apache2 site config file for download.freedesktop.org was last modified
at 2009-10-20 13:14 and now has:
         Redirect permanent / http://twitter.com/cleesmom
Comment 2 James Cloos 2009-10-21 15:43:32 UTC
All of these files in /etc/apache2/ have changes which have not been
checked into git:

apache2.conf
sites-available/bugs.freedesktop.org
sites-available/cgit.freedesktop.org
sites-available/download.freedesktop.org
sites-available/fontconfig.freedesktop.org
sites-available/gitweb.freedesktop.org
sites-available/gstreamer.freedesktop.org
sites-available/libopenraw.freedesktop.org
sites-available/www.freedesktop.org

Most of the changes look legitimate; only the edit to
download.freedesktop.org looks wrong.

And the redirect has changed to:

	RedirectMatch 302 ^/$ http://twitter.com/cleesmom

:; stat download.freedesktop.org
  File: `download.freedesktop.org'
  Size: 665       	Blocks: 2          IO Block: 1024   regular file
Device: 6802h/26626d	Inode: 410001      Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2009-10-21 15:37:53.000000000 -0700
Modify: 2009-10-21 11:14:59.000000000 -0700
Change: 2009-10-21 11:14:59.000000000 -0700
Comment 3 Adam Jackson 2010-01-07 04:50:59 UTC
No sense of humor...
Comment 4 Nagappan Alagappan 2010-01-12 21:57:51 UTC
This seems to be fixed, let me resolve the bug as fixed.

Thanks
Comment 5 Cody Maloney 2010-01-12 22:14:24 UTC
When I try to access http://download.freedesktop.org it is still redirecting for me
Comment 6 Nagappan Alagappan 2010-01-13 14:49:04 UTC
(In reply to comment #5)
> When I try to access http://download.freedesktop.org it is still redirecting
> for me
> 

Sorry my bad. Thinking of other bug #25920, I just closed this one.
Comment 7 Benjamin Close 2010-01-13 16:25:44 UTC
Fixed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.